using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATReport")]
[Index("Name", Name = "UQ_ATReport_Name", IsUnique = true)]
public partial class Atreport
{
    [Key]
    public int ReportId { get; set; }

    [StringLength(50)]
    public string Name { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [StringLength(1024)]
    public string? SqlCode { get; set; }

    public bool IsActive { get; set; }
}
